debian python pip 安装 pyv8错误

 1. $sudo pip install -v pyv8

Error: pip unicodedecodeerror ‘ascii’ codec can’t decode byte 0xe2 in position 42 ordinal not in range(128)

2. 更新pip版本
卸载 python-pip (version: 1.5) ,最新 pip 6.0.7

Remove your system wide installation of pip:
$ sudo apt-get purge python-pip
Then install a fresh copy of pip:
$ curl https://raw.github.com/pypa/pip/master/contrib/get-pip.py | sudo python

参考:

http://unix.stackexchange.com/questions/36710/how-can-i-upgrade-pip-on-ubuntu-10-04

https://pip.pypa.io/en/latest/installing.html

3.
Error:
src/Exception.h:6:16: fatal error: v8.h: No such file or directory
#include
compilation terminated.
解决:缺少 v8 的头文件,因为没有安装 v8 或其开发文件 ,安装 libv8-dev
参考: http://segmentfault.com/q/1010000000307870

4.
Error:
src/Exception.h:16:28: fatal error: boost/python.hpp: No such file or directory
#include
compilation terminated.
解决:sudo apt-get install libboost-all-dev
参考:http://stackoverflow.com/questions/12578499/how-to-install-boost-on-ubuntu

发表评论

您的电子邮箱地址不会被公开。